<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="androidx.lifecycle.MutableLiveData&lt;String>" />

        <variable
            name="handler"
            type="com.vessel.app.supplementsbucket.ui.descriptionpopup.OnDescriptionActionHandler" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:paddingHorizontal="@dimen/spacing_small">

        <com.vessel.app.views.WhiteRoundedCorners70BlurView
            android:layout_width="0dp"
            android:layout_height="0dp"
            app:layout_constraintBottom_toBottomOf="@id/description"
            app:layout_constraintEnd_toEndOf="@id/description"
            app:layout_constraintStart_toStartOf="@id/description"
            app:layout_constraintTop_toTopOf="@id/description"
            tools:background="@drawable/white_transparent_background" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/description"
            style="@style/Text.Small"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_small"
            android:layout_marginTop="@dimen/spacing_small"
            android:padding="@dimen/spacing_xl"
            android:text="@{item}"
            android:textColor="@color/darkText"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="@string/run_out_of_room_subtitle" />

        <androidx.appcompat.widget.AppCompatImageView
            android:id="@+id/closeDialogButton"
            android:layout_width="35dp"
            android:layout_height="35dp"
            android:onClick="@{handler::onCloseDialogClicked}"
            android:src="@drawable/ic_close_black_circle_background"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
